> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gu1.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Address risk score

> Screen a crypto wallet address for AML risk score via Gu1 AML Crypto.

## Endpoint

```
GET https://api.gu1.ai/api/aml-crypto/address-risk-score
```

## Query parameters

| Param      | Required | Description                          |
| ---------- | -------- | ------------------------------------ |
| `protocol` | Yes      | Address protocol (e.g. `eth`, `btc`) |
| `address`  | Yes      | Wallet address                       |

## Example

```bash theme={null}
curl -s \
  -H "Authorization: Bearer YOUR_API_KEY" \
  "https://api.gu1.ai/api/aml-crypto/address-risk-score?protocol=eth&address=0x..."
```

```json theme={null}
{
  "success": true,
  "data": {
    "checkId": "664f0000-0000-0000-0000-000000000001",
    "<service_key>": {
      "is_address_valid": true,
      "risk": { "score": 12, "level": 1, "verdict_time": 1710000000 }
    }
  }
}
```

When useful data is returned, Gu1 stores a snapshot and includes `checkId` for later retrieval via [Get check](/en/api-reference/aml-crypto/get-check).
